<%@taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt"%>

<%@ include file="../../../include/EnvironmentSetup.jsp" %>

<%-- load a resource bundle with housing specific text --%>
<fmt:setLocale value="${CommandConext.locale}" />
<fmt:setBundle basename="${sdb.directory}/Housing" var="housing" />

<jsp:useBean id="userDataBean" class="com.ibm.commerce.user.beans.UserDataBean" scope="page">
	<c:set target="${userDataBean}" property="dataBeanKeyMemberId" value="${CommandContext.userId}" />
	<% com.ibm.commerce.beans.DataBeanManager.activate(userDataBean, request); %>
</jsp:useBean>

<table>
	<tr>
		<td align="left" valign="top" colspan="2" class="categoryspace">
			<font class="pageHeading"><fmt:message key="SURVEY_STRING" bundle="${housing}" /></font>
			<hr width="580" noshade="noshade" align="left" />
		</td>
	</tr>	
					
	<tr>
		<td align="right" valign="middle" width="20%">
			<font class="strongtext"><fmt:message key="HOUSINGTYPE_STRING" bundle="${housing}" />:</font>
		</td> 
		
		<td class="strongtext">
			<fmt:message key="HOUSINGTYPE${userDataBean.housingType}" bundle="${housing}" />
		</td>
	</tr>

	<tr>
		<td align="right" valign="middle" width="20%">
			<font class="strongtext"><fmt:message key="LOCATION_STRING" bundle="${housing}" />:</font>
		</td> 

		<td class="strongtext">
			<fmt:message key="LOCATION${userDataBean.location}" bundle="${housing}" />
		</td>
	</tr>
</table>
