<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2000, 2002
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %> 
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.order.beans.OrderDataBean" %>
<%@ page import="com.ibm.commerce.order.beans.OrderItemDataBean" %>
<%@ page import="com.ibm.commerce.catalog.beans.AttributeValueDataBean" %>
<%@ page import="com.ibm.commerce.catalog.objects.AttributeAccessBean" %>
<%@ page import="com.ibm.commerce.catalog.objects.CatalogEntryAccessBean"%>
<%@ page import="com.ibm.commerce.catalog.beans.ItemDataBean" %>
<%@ page import="com.ibm.commerce.catalog.beans.AttributeDataBean" %>

<%@ include file="../../../include/EnvironmentSetup.jsp"%>

<% response.setContentType(infashiontext.getString("ENCODESTATEMENT")); %> 
<%
// JSPHelper provides you with a easy way to retrieve 
// URL parameters when they are encrypted
JSPHelper jhelper = new JSPHelper(request);

String storeId = jhelper.getParameter("storeId");
String catalogId = jhelper.getParameter("catalogId");
String languageId = jhelper.getParameter("langId");
String orderId = jhelper.getParameter("orderId");
String orderStatusCode = jhelper.getParameter("orderStatusCode");
%>

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<% 
orderBean.setOrderId(orderId);   
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request); 
%>
</jsp:useBean>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title><%=infashiontext.getString("PAYSTATUSPM_TITLE")%></title>
	<link rel="stylesheet" href="<%=jspStoreImgDir%><%=vfileStylesheet%>" type="text/css">
</head>

<body marginheight="0" marginwidth="0">

<table cellpadding="0" cellspacing="0" border="0" width="600">
	<%
	String incfile = jspStoreDir;
		
	incfile +=  StyleDir + "HeaderDisplay.jsp";
	%>
	<jsp:include page="<%=incfile%>" flush="true"/>
	<tr>
	<%
	incfile = jspStoreDir + StyleDir + "SidebarDisplay.jsp";
	%>
	<jsp:include page="<%=incfile%>" flush="true"/>

	<td width="600" valign="top" class="mainContent">

		<!--MAIN CONTENT STARTS HERE-->
		<table cellpadding="2" cellspacing="1" border="0" align="left">
		<tr>
			<td width="10" rowspan="10">&nbsp;</td>
			<td align="left" valign="top" colspan="3" class="categoryspace">
				<font class="pageHeading"><%=infashiontext.getString("ORDER_DETAIL")%></font>
			</td>
		</tr>
		<tr>
			<td width="10" rowspan="10">&nbsp;</td>
			<td><hr width="580" noshade align="left"></td>
		</tr>
		<tr>
			<td align="left" valign="top">
				<font class="subHeading">
				<%

				String orderDate = "";
	
				if (orderStatusCode.equals("S"))  
				{
    					orderDate = orderBean.getFormattedActualShipDate();
					%>
    					<%=infashiontext.getString("ACTUAL_SHIP_DATE")%> 
					<%
				}
				else 
				{
    					orderDate = orderBean.getFormattedEstimatedShipDate();
					%>
    					<%=infashiontext.getString("ESTIMATED_SHIP_DATE")%> 
					<%
				}
				%>
	
				<%=orderDate%>
				</font><br />

				<table cellpadding="1" cellspacing="1" width="580" border="0" align="left">
				<tr>
					<td align="left" valign="middle" class="textOverBackgroundCharts"><font class="textOverBackgroundCharts">
						<%=infashiontext.getString("QUANTITY")%></font>
					</td>
					<td align="left" valign="middle" class="textOverBackgroundCharts"><font class="textOverBackgroundCharts">
						<%=infashiontext.getString("TRACKING_ID")%></font>
					</td>
					<td align="left" valign="middle" class="textOverBackgroundCharts"><font class="textOverBackgroundCharts">
						<%=infashiontext.getString("PRODUCT_NAME")%></font>
					</td>
					<td align="left" valign="middle" class="textOverBackgroundCharts"><font class="textOverBackgroundCharts">
						<%=infashiontext.getString("PRODUCT_ATTRIBUTE")%></font>
					</td>
					<td align="right" valign="middle" class="textOverBackgroundCharts"><font class="textOverBackgroundCharts">
						<%=infashiontext.getString("ITEM_PRICE")%></font>
					</td>
					<td align="right" valign="middle" class="textOverBackgroundCharts"><font class="textOverBackgroundCharts">
						<%=infashiontext.getString("TOTAL_PRICE")%></font>
					</td>
				</tr>
				<%
				OrderItemDataBean[] orderItemDataBean = orderBean.getOrderItemDataBeans();

				for(int j = 0; j < orderItemDataBean.length; j++) 
				{
					%>
					<tr>
						<td align="center" valign="top">
							<font class="text"><%=orderItemDataBean[j].getQuantityInEJBType().intValue()%></font>
						</td>
						<td align="left" valign="top"><font class="text">
							<%
							String[] packageTrackinID = orderItemDataBean[j].getTrackingIds();

							// The order may have multiple tracking IDs.  We loop through and list them all.
							if (packageTrackinID != null)
							{
								int iTrackingCounter = 0;
								while (iTrackingCounter < packageTrackinID.length)  
								{
									if (iTrackingCounter + 1 < packageTrackinID.length) 
										out.println(packageTrackinID[iTrackingCounter].trim() + ", ");
									else out.println(packageTrackinID[iTrackingCounter].trim());
									iTrackingCounter = iTrackingCounter + 1;
								}
							}
							%>
							</font>
						</td>
						<td align="left" valign="top">
							<font class="text">
							<%=orderItemDataBean[j].getCatalogEntry().getDescription(new Integer(languageId)).getShortDescription()%>
							</font>
						</td>
						<td align="left" valign="top">
							<%
							CatalogEntryAccessBean abCatEntry;
							abCatEntry = orderItemDataBean[j].getCatalogEntry();
							
							if (abCatEntry.getType().equals(com.ibm.commerce.catalog.common.ECCatalogConstants.EC_CAT_ITEM_BEAN))
							{
								//Find attributes
						                // Loop through attributes values and only show the value that is relavent to the attribute for this SKU
						                // Usage code of 3 is used by stores based on ConsumerDirectResellerProfile
						                // Usage code of 1 is used by FashionFlow and usage code of 1 is for defining attributes.
						                // Usage code null also denotes defining attributes.
						                
								ItemDataBean item = new ItemDataBean(abCatEntry);
								AttributeValueDataBean attrvalue[];
								attrvalue = item.getAttributeValueDataBeans(new Integer(languageId));
								AttributeDataBean attribute[] = new AttributeDataBean[attrvalue.length];
						
								// Print out all the attributes, and attribute values for this item

								for (int x=0; x<attrvalue.length; x++) 
								{
									attribute[x] = attrvalue[x].getAttributeDataBean();
									if (attrvalue[x].getAttributeDataBean().getUsage().equals("3")|| attrvalue[x].getAttributeDataBean().getUsage().equals("1") || attrvalue[x].getAttributeDataBean().getUsage() == null) 
									{
										%>
										<font class = "strongtext"><%=attribute[x].getDescription()%>: </font>
										<font class = "text"><%=attrvalue[x].getValue()%> <br /></font> 
										<%
									}
								}
							}
							%>
							<br />
						</td>
						<td align="right" valign="top">
							<font class="price">
							<%= orderItemDataBean[j].getPriceDataBean() %>
							</font>
						</td>
						<td align="right" valign="top">
							<font class="price">
							<%=orderItemDataBean[j].getFormattedTotalProduct()%>
							</font>
						</td>
					</tr>
					<%
				}
				%>
				</table>
			</td>
		</tr>
		<!-- Start of tutorial -->
		<tr>
			<td>
				<jsp:include page="OrderDetailDisplayInclude.jsp" flush="true" />
			</td>
		</td>
		<!-- End of tutorial -->
		</table>

</td>
</tr>
<tr>
	<td colspan="2" class="footer" align="right">
	
		<%
		incfile = jspStoreDir + StyleDir + "FooterDisplay.jsp";
		%>
		<jsp:include page="<%=incfile%>" flush="true"/>
	</td>
</tr>
</table>


</body>
</html>
