<%@taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt"%>

<%@ include file="../../../include/EnvironmentSetup.jsp" %>

<fmt:setLocale value="${CommandConext.locale}" />
<fmt:setBundle basename="${sdb.directory}/ordergift" var="ordergift" />

<jsp:useBean id="orderGiftDataBean" 
	class="com.ibm.commerce.sample.databeans.OrderGiftDataBean" scope="page">
	<% com.ibm.commerce.beans.DataBeanManager.activate(orderGiftDataBean, request); %>
</jsp:useBean>

<table cellpadding="0" cellspacing="5" border="0" width="100%">

			
	<c:if test="${!empty orderGiftDataBean.receiptName }">
		<tr>
			<td align="left" valign="top" class="categoryspace">
				<font class="pageHeading"><fmt:message key="GIFTORDER" bundle="${ordergift}" /></font>
			</td>
		</tr>
		
		<tr><td><fmt:message key="RECIPIENT" bundle="${ordergift}" /><c:out value="${orderGiftDataBean.receiptName}" /></td></tr>
		<tr><td><fmt:message key="SENDER" bundle="${ordergift}" /><c:out value="${orderGiftDataBean.senderName}" /></td></tr>
		<tr><td><fmt:message key="MSGFIELD1" bundle="${ordergift}" /><c:out value="${orderGiftDataBean.msgField1}" /></td></tr>
		<tr><td><fmt:message key="MSGFIELD2" bundle="${ordergift}" /><c:out value="${orderGiftDataBean.msgField2}" /></td></tr>
	</c:if>
</table>