package com.ibm.commerce.sample.commands;

import com.ibm.commerce.exception.ECException;
import com.ibm.commerce.exception.ECSystemException;
import com.ibm.commerce.ras.ECMessage;
import com.ibm.commerce.user.objects.UserAccessBean;
import com.ibm.commerce.usermanagement.commands.PostUserRegistrationAddCmd;
import com.ibm.commerce.usermanagement.commands.PostUserRegistrationAddCmdImpl;

/* After a new user has been registered, this command is run
 * and will update the XHOUSING table with data captured from
 * the Housing Survey
 */
public class MyPostUserRegistrationAddCmdImpl
	extends PostUserRegistrationAddCmdImpl {


/*
/// Section 1 ////////////////
	Integer housingType = null;
	Integer location = null;

	public Integer getHousingType() {
		return housingType;
	}

	public Integer getLocation() {
		return location;
	}

	public void setHousingType(Integer newHousingType) {
		housingType = newHousingType;
	}

	public void setLocation(Integer newLocation) {
		location = newLocation;
	}
/// End of Section 1 ////////////////
*/

	/**
	 * Constructor for MyNewRegistrationAddCmdImpl.
	 */
	public MyPostUserRegistrationAddCmdImpl() {
		super();
	}

/*
/// Section 2 ////////////////
	public void performExecute() throws ECException {
		super.performExecute();

		// Set the needed fields before processing the survey
		setHousingType(requestProperties.getInteger("housingType", 0));
		setLocation(requestProperties.getInteger("location", 0));

		processSurvey();
	}

/// End of Section 2 ////////////////
*/



/*
/// Section 3 ////////////////

	private void processSurvey() throws ECException {

		try {
			// load up the user data
			UserAccessBean abUser = new UserAccessBean();
			abUser.setInitKey_MemberId(commandContext.getUserId().toString());
			abUser.refreshCopyHelper();

			// store the new attributes
			abUser.setHousingType(getHousingType());
			abUser.setLocation(getLocation());

			abUser.commitCopyHelper();
		} catch (javax.ejb.FinderException e) {
			throw new ECSystemException(
				ECMessage._ERR_FINDER_EXCEPTION,
				this.getClass().getName(),
				"processSurvey");
		} catch (javax.naming.NamingException e) {
			throw new ECSystemException(
				ECMessage._ERR_NAMING_EXCEPTION,
				this.getClass().getName(),
				"processSurvey");
		} catch (java.rmi.RemoteException e) {
			throw new ECSystemException(
				ECMessage._ERR_REMOTE_EXCEPTION,
				this.getClass().getName(),
				"processSurvey");
		} catch (javax.ejb.CreateException e) {
			throw new ECSystemException(
				ECMessage._ERR_CREATE_EXCEPTION,
				this.getClass().getName(),
				"processSurvey");
		}

	}
/// End of Section 3 ////////////////
*/

}
