<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2000, 2002
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>


<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %> 
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="java.math.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.fulfillment.beans.*" %>
<%@ page import="com.ibm.commerce.payment.beans.*" %>
<%@ page import="com.ibm.commerce.utils.TimestampHelper" %>
<%@ page import="com.ibm.commerce.contract.util.*" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="com.ibm.commerce.ras.ECMessageHelper" %>
<%@ page import="com.ibm.commerce.coupon.constants.CouponConstant" %>
<%@ page import="com.ibm.commerce.couponredemption.databeans.ViewAppliedCouponDataBean" %>
<%
// This page shows the order summary for the user's order(s)
%>

<%@ include file="../../../include/EnvironmentSetup.jsp"%>
<% response.setContentType(infashiontext.getString("ENCODESTATEMENT")); %> 

<%

//Parameters may be encrypted. Use JSPHelper to get
//URL parameter instead of request.getParameter().
JSPHelper jhelper = new JSPHelper(request);

String catalogId = jhelper.getParameter("catalogId");
String languageId = jhelper.getParameter("langId");
String storeId = jhelper.getParameter("storeId");
String error = jhelper.getParameter(CouponConstant.ERROR_CODE);

// prepare an object for inserting the store name into some property file's text using MessageFormat
if (storeName == "")
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
Object[] arguments = { new String(storeName) };

String[] arrorderRn = jhelper.getParameterValues("orderId");
String orderRn= arrorderRn[0]; 
Timestamp estShipDate = null;
String formattedEstShipDate = "";

// This variable records if the order contains not allocatable orderitem or orderitems on backorder
boolean isOrdinaryOrder = false;

int numberOfOrders = arrorderRn.length;
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title><%=infashiontext.getString("ORDER_TITLE")%></title>
	<link rel="stylesheet" href="<%=jspStoreImgDir%><%=vfileStylesheet%>" type="text/css">
	
	<script language="javascript">
	var busy = false;
	
	function Handle_Submit(form)
	{
		if (!busy){
			busy = true;			
			
			// if the selected payment method is not credit card, 
			//   remove the cardBrand so that the command will not check the card number
			for (i = 0; i < form.elements.length; i++)
			{
				e = form.elements[i];
				if (e.type == "radio")
				{
					if (e.checked)
					{
						if (e.value != form.creditCardPolicyNumber.value)
						{
							if (form.cardBrnad!="Undefined" && form.cardBrand != null)
							{
								var selectedIndex = form.cardBrand.selectedIndex;
								form.cardBrand.options[selectedIndex].value = '';
								form.cardBrand.value='';
								form.cardNumber.value='';								
								break;
							}
						}						
					}
				}
			}
			form.submit();
		}	
		return false;
	}
	</script>	
</head>

<body marginheight="0" marginwidth="0">

<flow:ifEnabled  feature="customerCare">
<%
	// Set header type needed for this JSP for LiveHelp. This must
	// be set before HeaderDisplay.jsp
	request.setAttribute("liveHelpPageType","personal");
%>
</flow:ifEnabled>

<table cellpadding="0" cellspacing="0" border="0" width="600">
	<%
	String incfile = jspStoreDir;
		
	incfile +=  StyleDir + "HeaderDisplay.jsp";
	%>
	<jsp:include page="<%=incfile%>" flush="true"/>
	<tr>
	<%
	incfile = jspStoreDir + StyleDir + "SidebarDisplay.jsp";
	%>
	<jsp:include page="<%=incfile%>" flush="true"/>

	<td width="600" valign="top" class="mainContent">

		<!--MAIN CONTENT STARTS HERE-->

		<table cellpadding="2" cellspacing="0" width="580" border="0">
		<tr>
			<td width="10" rowspan="28">&nbsp;</td>
			<td align="left" valign="top" colspan="4" class="categoryspace" width="580">
				<table cellpadding="0" cellspacing="0" border="0" width="580">
				<tr>
					<td align="left" valign="top">
						<font class="pageHeading"><%=infashiontext.getString("CHECKOUT")%> - </font><font class="subHeading"><%=infashiontext.getString("ORDER_SUMMARY")%></font>
					</td>
					<td align="right" valign="bottom">
						<font class="strongtext"><%=infashiontext.getString("STEP_4_4")%></font>
					</td>
				</tr>
				</table>
				<%
				// Handle the possible errors
				ErrorDataBean errorBean = new ErrorDataBean ();
		
				com.ibm.commerce.beans.DataBeanManager.activate (errorBean, request);
				TypedProperty errProp = errorBean.getExceptionData();
		
				String StatusMessage = "";
				if (errProp != null)			// if there exists an error
				{    
					String errCode  = errProp.getString( ECConstants.EC_ERROR_CODE, "" );
					String buyerMsg = errProp.getString( "MessageForBuyer"        , "" );
					if ( errCode.equals("190") ) 
					{
						StatusMessage = infashiontext.getString("PMERROR_MESSAGE1");
					} 
					else if ( errCode.equals("1007") && buyerMsg.length() > 0 ) 
					{
						StatusMessage = buyerMsg;
					} 
					else if ( errCode.equals("1007") ) 
					{
						StatusMessage = infashiontext.getString("PMERROR_MESSAGE2");
					} 
					else if ( errCode.equals("1005") ) 
					{
						StatusMessage = infashiontext.getString("PMERROR_MESSAGE3");
					} 
					else if ( errCode.equals("1006") ) 
					{
						StatusMessage = infashiontext.getString("PMERROR_MESSAGE4");
					} 
					else 
					{
						StatusMessage = infashiontext.getString("PMERROR_MESSAGE5");
					}
				}
				%>
				<hr width="580" noshade align="left"/>
				<%
				if (!StatusMessage.equals(""))
				{
					%>
					<font class="redText"><br /><%=StatusMessage%><br /><br /></font>
					<p></p>
					<% 
				}
				%>
				<font class="requiredInputText">*</font><font class="text"><%=infashiontext.getString("REQUIRED_FIELDS2")%></font>
			</td>
		</tr>

		<% 	
		OrderDataBean orderBean;
		
		// Get locale for formatting the date appropriately
		Locale jLocale 	= cmdcontext.getLocale();
		%>
<flow:ifEnabled feature="MultipleShippingAddressPage.i1.impl.f">
		<%
		// show the summary for each of the user's order.
		for(int cnt=0; cnt < arrorderRn.length; cnt++) 
		{
			orderBean = new OrderDataBean();
			orderBean.setOrderId(arrorderRn[cnt]);
			com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
			
			ViewAppliedCouponDataBean vacDB = new ViewAppliedCouponDataBean();
			vacDB.setOrderId(Long.valueOf(orderBean.getOrderId()));
			com.ibm.commerce.beans.DataBeanManager.activate (vacDB, request);
			// retrieve a list of applied coupon ids
			Vector bcIds = vacDB.getBcIds();

			// get the estimated ship date for this entire order
			estShipDate = orderBean.getEstimatedShipDate();
			if (estShipDate == null)
			{
				formattedEstShipDate = infashiontext.getString("AVAIL_UNKNOWN");
			} 
			else
			{
				// Format date appropriately using the TimeStampHelper
				formattedEstShipDate = TimestampHelper.getDateFromTimestamp(estShipDate, jLocale);				
			}
			%>
			<flow:ifEnabled feature="EstimatedShipDate">
			<tr>
				<td>
					<font class="subHeading"><%=infashiontext.getString("EXPECTED_SHIP_DATE2")%> <%=formattedEstShipDate%></font>
				</td>
			</tr>
			</flow:ifEnabled>
			<tr>
				<td valign="top">
					<table width="100%">
					<tr>
						<th id="t1" width="7%" align="center" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("QTY")%></font>
						</th>
						<th id="t2" width="27%" align="left" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("ITEM")%></font>
						</th>
						<th id="t3" width="24%" align="left" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("SHIPPING_ADDRESS2")%></font>
						</th>
						<th id="t4" width="22%" align="left" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("SHIPPING_METHOD")%></font>
						</th>
						<th id="t5" width="14%" align="right" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("ITEM_PRICE3")%></font>
						</th>
						<th id="t6" width="6%" align="right" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("TOTAL")%></font>
						</th>
					</tr>

					<%
					// get the information of all the order items for this order
					String inventoryStatus = "";
					OrderItemDataBean[] orderItemDataBean = orderBean.getOrderItemDataBeans();
					for(int j = 0; j < orderItemDataBean.length; j++) 
					{
						inventoryStatus = orderItemDataBean[j].getInventoryStatus();
						if (inventoryStatus.equalsIgnoreCase("nalc") || inventoryStatus.equalsIgnoreCase("bo")) {
									isOrdinaryOrder = false;
						} else {
									isOrdinaryOrder = true;
						}

						String shipmodeId = orderItemDataBean[j].getShippingModeId().trim();
						String shippingMethodName =null;
						ShippingModeDescriptionDataBean shipmodeDsc = new ShippingModeDescriptionDataBean();
		
						shipmodeDsc.setInitKey_shipModeId(shipmodeId);
						shipmodeDsc.setInitKey_languageId(languageId);
						shippingMethodName = shipmodeDsc.getDescription();  
						%>
						<tr>
							<td headers="t1" align="center" valign="top">
								<font class="text"><%= orderItemDataBean[j].getQuantityInEJBType().intValue() %></font>
							</td>
							<td headers="t2" align="left" valign="top">
								<font class="text"><%= orderItemDataBean[j].getCatalogEntry().getDescription(new Integer(languageId)).getShortDescription()%><br /></font>

								<%
								CatalogEntryAccessBean abCatEntry;
								abCatEntry = orderItemDataBean[j].getCatalogEntry();
								
								if (abCatEntry.getType().equals(com.ibm.commerce.catalog.common.ECCatalogConstants.EC_CAT_ITEM_BEAN))
								{
									//If the catentry is an item, we get all the attributes and attribute values for the item using AttributeValueDataBean and AttributeDataBean
									ItemDataBean item = new ItemDataBean(abCatEntry);
									AttributeValueDataBean attrvalue[];
									attrvalue = item.getAttributeValueDataBeans(new Integer(languageId));
									AttributeDataBean attribute[] = new AttributeDataBean[attrvalue.length];
									for (int x=0; x<attrvalue.length; x++) 
									{
										attribute[x] = attrvalue[x].getAttributeDataBean();
										// for the orderitems, only defining attributes selected during 'add to shopping cart' are shown here
										if (attribute[x].getUsage() == null || attribute[x].getUsage().equals("1") || attribute[x].getUsage().equals("")) {
										%>
										<font class = "strongtext"><%=attribute[x].getDescription()%>: </font>
										<font class = "text"><%=attrvalue[x].getValue()%></font><br />
										<%
										}
									}
								}
								else 
								{
									//If the catentry is not an item (e.g. package), we get the attribute information from the auxdescription1
									%>
									<font class="text"><%=orderItemDataBean[j].getCatalogEntry().getDescription(cmdcontext.getLanguageId()).getAuxDescription1()%></font> &nbsp;
									<%
								}
								OrderItemAdjustmentDataBean[] orderItemAdjustmentDBs = orderItemDataBean[j].getOrderItemLevelDiscountOrderItemAdjustmentDataBeans();
								if(orderItemAdjustmentDBs != null && orderItemAdjustmentDBs.length > 0) 
								{
									for(int m = 0; m < orderItemAdjustmentDBs.length; m++) 
									{
									%>
										<font class="strongRedText">* </font><font class="text"><%=orderItemAdjustmentDBs[m].getCalculationCodeDescriptionString()%></font><br />
									<%
									}
								}
								%>
							</td>

							<%
							// Get and print out the shipping address of the item
							String shipaddress_id = orderItemDataBean[j].getAddressId();
							String strFirstName = "";
							String strLastName = "";
							String strAddrLn1 = "";
							String strAddrLn2 = "";
							String strCity = "";
							String strState = "";
							String strZipCode ="";
							String strCountry = "";
							String strDayPhone = "";

							if (shipaddress_id !=null && shipaddress_id.trim().length() != 0) 
							{
								AddressDataBean bnAddressDisplay = new AddressDataBean();
								bnAddressDisplay.setAddressId(shipaddress_id);
								DataBeanManager.activate(bnAddressDisplay, request);
	
								strLastName = bnAddressDisplay.getLastName();
								strFirstName = bnAddressDisplay.getFirstName();
								strAddrLn1 = bnAddressDisplay.getAddress1();
								strAddrLn2 = bnAddressDisplay.getAddress2();
								strCity = bnAddressDisplay.getCity();
								strState = bnAddressDisplay.getState();
								strZipCode = bnAddressDisplay.getZipCode();
								strCountry = bnAddressDisplay.getCountry();
								strDayPhone = bnAddressDisplay.getPhone1();
								if (strFirstName == null) strFirstName = "";
								if (strAddrLn2 == null) strAddrLn2 = "";
								if (strState == null) strState = "";
								if (strDayPhone == null) strDayPhone = "";
							}	
							%>

							<td headers="t3" align="left" valign="top">
								<font class="text">
								<% 
								if (locale.toString().equals("ja_JP")||locale.toString().equals("ko_KR")||locale.toString().equals("zh_CN")||locale.toString().equals("zh_TW")) 
								{ 
									%>
									<%=strLastName%><%=strFirstName%><br />
									<%=strCountry%>&nbsp;<%=strZipCode%><br />
									<%=strState%>&nbsp;<%=strCity%><br />
									<%=strAddrLn1%><br />
									<%=strAddrLn2%><br />
									<% 
								} 
								else if (locale.toString().equals("fr_FR")||locale.toString().equals("de_DE"))
								{ 
									%>
									<%=strFirstName%>&nbsp;<%=strLastName%><br />
									<%=strAddrLn1%><br />
									<%
									if (!strAddrLn2.trim().equals(""))
									{
										%>
										<%=strAddrLn2%><br />
										<%
									}
									%>
									<%=strZipCode%>&nbsp;<%=strCity%><br />
									<%=strState%><br />
									<%=strCountry%><br />
									<% 
								} 
								else 
								{ 
									%>
									<%=strFirstName%>&nbsp;<%=strLastName%><br />
									<%=strAddrLn1%><br />
									<%
									if (!strAddrLn2.trim().equals(""))
									{
										%>
										<%=strAddrLn2%><br />
										<%
									}
									%>
									<%=strCity%>&nbsp;<%=strState%>&nbsp;<%=strZipCode%><br />
									<%=strCountry%><br />
									<% 
								} 
								%>
								</font>
							</td>
							<td headers="t4" align="left" valign="top">
								<font class="text"><%=shippingMethodName%></font>
							</td>
							<td headers="t5" align="right" valign="top">
								<font class="price"><%= orderItemDataBean[j].getPriceDataBean() %></font>
							</td>
							<td headers="t6" align="right" valign="top" nowrap>
								<%								
								if ((orderItemDataBean[j].getPrepareFlagsInEJBType().intValue() & 128) != 0 && orderItemDataBean[j].getTotalProductInEJBType().compareTo(orderItemDataBean[j].getTotalAdjustmentInEJBType().negate()) == 0) {
									// the OrderItem is a freebie
								%>
									<font class="redPrice"><%=infashiontext.getString("SHOPCART_FREE")%></font>
								<%
								} else {
								%>
									<font class="price"><%=orderItemDataBean[j].getFormattedTotalProduct()%></font>
									<%
									if(orderItemAdjustmentDBs != null && orderItemAdjustmentDBs.length > 0) 
									{
										for(int m = 0; m < orderItemAdjustmentDBs.length; m++) 
										{
										%>
											<br />
											<font class="strongPrice"><%=orderItemAdjustmentDBs[m].getFormattedAmount()%></font>
										<%
										}
									}
								}
								%>								
							</td>
						</tr>
						<%
					}
					OrderAdjustmentDataBean[] orderAdjustmentDBs = orderBean.getOrderLevelDiscountOrderAdjustmentDataBeans();
					if (orderAdjustmentDBs != null && orderAdjustmentDBs.length > 0) 
					{
						for(int i = 0; i < orderAdjustmentDBs.length; i++) 
						{
						%>
					<tr>
						<td align="right" colspan="5">
							<font class="strongRedText">* </font><font class="text"><%=orderAdjustmentDBs[i].getCalculationCodeDescriptionString()%></font>
						</td>
						<td align="right" valign="top" nowrap>
							<font class="strongPrice"><%=orderAdjustmentDBs[i].getFormattedAmount()%></font>
						</td>
					</tr>
						<%
						}
					}
					%>
					<tr>
						<td align="right" colspan="5"><font class="text">
							<b><%=infashiontext.getString("SUBTITAL1")%>&nbsp;</b></font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%=orderBean.getFormattedDiscountAdjustedProductTotal()%></font>
						</td>
					</tr>
					<%
					//Display coupon discount amount.
					%>
					<flow:ifEnabled feature="Coupons">
					<%
						if (bcIds.size() > 0) {
							//There are coupons applied to this order
					%>
					<tr>
						<td align="right" colspan="5">
									<font class="strongtext"><a href="AppliedCouponsDisplayView?storeId=<%=storeId%>&catalogId=<%=catalogId%>&langId=<%=languageId%>&orderId=<%=orderBean.getOrderId()%>&numberOfOrders=<%=numberOfOrders%>"><%=infashiontext.getString("COUPON_ADJUSTMENT")%></a>&nbsp;</font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%= orderBean.getFormattedCouponAdjustmentTotal() %></font>
						</td>
					</tr>
					<%
						}
					%>
					</flow:ifEnabled>
					<tr>
						<td align="right" colspan="5">
							<font class="price"><b><%=infashiontext.getString("TAX2")%>&nbsp;</b></font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%= orderBean.getFormattedTotalTax() %></font>
						</td>
					</tr>
					<tr>
						<td align="right" colspan="5">
							<font class="text"><b><%=infashiontext.getString("SHIPPING2")%></b></font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%= orderBean.getFormattedTotalShippingCharge() %></font>
						</td>
					</tr>
					<%
					//Display shipping tax.
					if (orderBean.getTotalShippingTaxInEJBType().doubleValue() > 0)
					{
						%>
						<tr>
							<td align="right" colspan="5">
								<font class="text"><b><%=infashiontext.getString("SHIPPING2")%> <%=infashiontext.getString("TAX2")%></b></font>
							</td>
							<td align="right" valign="top">
								<font class="price"><%= orderBean.getFormattedTotalShippingTax() %></font>
							</td>
						</tr>
						<%
					}
					%>
					<tr>
						<td align="right" colspan="5">
							<font class="text"><b><%=infashiontext.getString("TOTAL2")%>&nbsp;</b></font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%=orderBean.getGrandTotal()%></font>
						</td> 
					</tr>
					</table>
					<flow:ifEnabled feature="Coupons">
					<%
					if( cmdcontext.getUser().getRegisterType().equalsIgnoreCase("R") ) {

						//The table for enterring coupon informations is displayed when there is only one order
						//or the Order is ordinary (inventory allocated)
						if (isOrdinaryOrder || (arrorderRn.length == 1)) {
							if (error != null) {
								Integer CouponCodeError = Integer.valueOf(error);
								if (CouponCodeError.equals(CouponConstant.COUPON_INVALID_ERROR)) {
								%>
									<font class="redText"><%=infashiontext.getString("COUPON_ERROR1")%></font>
								<%
								} else if (CouponCodeError.equals(CouponConstant.COUPON_NOT_APPLICABLE_ERROR)) {
								%>
									<font class="redText"><%=infashiontext.getString("COUPON_ERROR2")%></font>
								<%
								} else if (CouponCodeError.equals(CouponConstant.INVALID_COUPON_CODE_ERROR)) {
								%>
									<font class="redText"><%=infashiontext.getString("COUPON_ERROR1")%></font>
								<%
								} else {
								}//if
							}//if
					%>
							<table>
								<form method="post" name="UseCouponId" action="UseCouponId">
									<input type="hidden" name="orderId" value="<%=orderBean.getOrderId()%>">
									<input type="hidden" name="catalogId" value="<%=catalogId%>">
									<input type="hidden" name="storeId" value="<%=storeId%>">
									<input type="hidden" name="langId" value="<%=languageId%>">
									<input type="hidden" name="numberOfOrders" value="<%=numberOfOrders%>">
								<tr>
		              						<td colspan="2">
		       	<%
										//These two variables are used to store URL parameter
										//of all applied coupons
										String appliedCouponIds = null; String temp = null;
		   								if (bcIds.size() > 0) {
		   									//There are coupons applied to this order
											for (int j=0; j < bcIds.size(); j++) {
												//Create URL parameter of all applied coupons
		   										temp = "&appliedCouponIds=" + bcIds.elementAt(j);
									   			if ( j == 0) {
									   				 appliedCouponIds = temp;
									   			} else {
									   				appliedCouponIds = appliedCouponIds + temp;
									   			}//if
		   									}//for
		   		%>
											<font class="text"><a href="FindCoupons?orderId=<%=orderBean.getOrderId()%>&langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&numberOfOrders=<%=numberOfOrders%><%=appliedCouponIds%>"><%=infashiontext.getString("REDEEM_MULTIPLE_COUPONS")%></a></font>
									<%	} else { %>
											<font class="text"><a href="FindCoupons?orderId=<%=orderBean.getOrderId()%>&langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&numberOfOrders=<%=numberOfOrders%>"><%=infashiontext.getString("REDEEM_MULTIPLE_COUPONS")%></a></font>
									<% }//if	%>									
		              						</td>
		              					</tr>
		              					<!-- 
		              							This is a textbox where a shopper may enter the coupon code. This is commented out since a shopper is 
		              							likely to apply coupons using the Redeem coupon link instead of rememberring the coupon code. This textbox is
		              							functional in FashionFlow store. Developers can uncomment out this code if using coupon code scenario is preferred.
				              					
				              					<tr>
				              						<td><font class="strongtext"><%=infashiontext.getString("ENTER_COUPON_CODE")%> </font><input type="text" name="couponIds" size="10"></td>
				              						<td valign="center" align="middle" class="buttonStyle">
															<a href="#" onclick="Handle_Submit(document.UseCouponId); return false;"><font class="buttonStyle"><%=infashiontext.getString("SUBMIT")%></font>
				              						</td>
				              					</tr>
		              					-->
		              					
		              					</form>
		              				</table>
		        	<% 
		             }//if
		         }//if
		       	%>
					</flow:ifEnabled>
				</td>
			</tr>
			<% 
		} 
		%>
</flow:ifEnabled>
<flow:ifDisabled feature="MultipleShippingAddressPage.i1.impl.f">
		<%
		// show the summary for each of the user's order.
		for(int cnt=0; cnt < arrorderRn.length; cnt++) 
		{
			orderBean = new OrderDataBean();
			orderBean.setOrderId(arrorderRn[cnt]);
			com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
			
			ViewAppliedCouponDataBean vacDB = new ViewAppliedCouponDataBean();
			vacDB.setOrderId(Long.valueOf(orderBean.getOrderId()));
			com.ibm.commerce.beans.DataBeanManager.activate (vacDB, request);
			// retrieve a list of applied coupon Ids
			Vector bcIds = vacDB.getBcIds();
			
			// get the estimated ship date for this entire order
			estShipDate = orderBean.getEstimatedShipDate();
			if (estShipDate == null)
			{
				formattedEstShipDate = infashiontext.getString("AVAIL_UNKNOWN");
			} 
			else
			{
				// Format date appropriately using the TimeStampHelper
				formattedEstShipDate = TimestampHelper.getDateFromTimestamp(estShipDate, jLocale);				
			}
			%>
			<flow:ifEnabled feature="EstimatedShipDate">
			<tr>
				<td>
					<font class="subHeading"><%=infashiontext.getString("EXPECTED_SHIP_DATE2")%> <%=formattedEstShipDate%></font>
				</td>
			</tr>
			</flow:ifEnabled>
			<tr>
				<td valign="top">
					<table width="100%">
					<tr>
						<th id="t1" width="7%" align="center" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("QTY")%></font>
						</th>
						<th id="t2" width="41%" align="left" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("ITEM")%></font>
						</th>
						<th id="t3" width="32%" align="left" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("SHIPPING_METHOD")%></font>
						</th>
						<th id="t4" width="14%" align="right" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("ITEM_PRICE3")%></font>
						</th>
						<th id="t5" width="6%" align="right" valign="top" class="textOverBackgroundCharts">
							<font class="textOverBackgroundCharts"><%=infashiontext.getString("TOTAL")%></font>
						</th>
					</tr>

					<%
					// get the information of all the order items for this order
					String inventoryStatus = "";
					OrderItemDataBean[] orderItemDataBean = orderBean.getOrderItemDataBeans();
					for(int j = 0; j < orderItemDataBean.length; j++) 
					{
						inventoryStatus = orderItemDataBean[j].getInventoryStatus();
						if (inventoryStatus.equalsIgnoreCase("nalc") || inventoryStatus.equalsIgnoreCase("bo")) {
									isOrdinaryOrder = false;
						} else {
									isOrdinaryOrder = true;
						}
							
						String shipmodeId = orderItemDataBean[j].getShippingModeId().trim();
						String shippingMethodName =null;
						ShippingModeDescriptionDataBean shipmodeDsc = new ShippingModeDescriptionDataBean();
		
						shipmodeDsc.setInitKey_shipModeId(shipmodeId);
						shipmodeDsc.setInitKey_languageId(languageId);
						shippingMethodName = shipmodeDsc.getDescription();  
						%>
						<tr>
							<td headers="t1" align="center" valign="top">
								<font class="text"><%= orderItemDataBean[j].getQuantityInEJBType().intValue() %></font>
							</td>
							<td headers="t2" align="left" valign="top">
								<font class="text"><%= orderItemDataBean[j].getCatalogEntry().getDescription(new Integer(languageId)).getShortDescription()%><br /></font>
								<%
								CatalogEntryAccessBean abCatEntry;
								abCatEntry = orderItemDataBean[j].getCatalogEntry();
								
								if (abCatEntry.getType().equals(com.ibm.commerce.catalog.common.ECCatalogConstants.EC_CAT_ITEM_BEAN))
								{
									//If the catentry is an item, we get all the attributes and attribute values for the item using AttributeValueDataBean and AttributeDataBean
									ItemDataBean item = new ItemDataBean(abCatEntry);
									AttributeValueDataBean attrvalue[];
									attrvalue = item.getAttributeValueDataBeans(new Integer(languageId));
									AttributeDataBean attribute[] = new AttributeDataBean[attrvalue.length];
									for (int x=0; x<attrvalue.length; x++) 
									{
										attribute[x] = attrvalue[x].getAttributeDataBean();
										// for the orderitems, only defining attributes selected during 'add to shopping cart' are shown here
										if (attribute[x].getUsage() == null || attribute[x].getUsage().equals("1") || attribute[x].getUsage().equals("")) {
										%>
										<font class = "strongtext"><%=attribute[x].getDescription()%>: </font>
										<font class = "text"><%=attrvalue[x].getValue()%></font><br />
										<%
										}
									}
								}
								else 
								{
									//If the catentry is not an item (e.g. package), we get the attribute information from the auxdescription1
									%>
									<font class="text"><%=orderItemDataBean[j].getCatalogEntry().getDescription(cmdcontext.getLanguageId()).getAuxDescription1()%></font> &nbsp;
									<%
								}
								OrderItemAdjustmentDataBean[] orderItemAdjustmentDBs = orderItemDataBean[j].getOrderItemLevelDiscountOrderItemAdjustmentDataBeans();
								if(orderItemAdjustmentDBs != null && orderItemAdjustmentDBs.length > 0) 
								{
									for(int m = 0; m < orderItemAdjustmentDBs.length; m++) 
									{
									%>
										<font class="strongRedText">* </font><font class="text"><%=orderItemAdjustmentDBs[m].getCalculationCodeDescriptionString()%></font><br />
									<%
									}
								}								
								%>
							</td>


							<td headers="t3" align="left" valign="top">
								<font class="text"><%=shippingMethodName%></font>
							</td>
							<td headers="t4" align="right" valign="top">
								<font class="price"><%= orderItemDataBean[j].getPriceDataBean() %></font>
							</td>
							<td headers="t5" align="right" valign="top" nowrap>
								<%
								if ((orderItemDataBean[j].getPrepareFlagsInEJBType().intValue() & 128) != 0 && orderItemDataBean[j].getTotalProductInEJBType().compareTo(orderItemDataBean[j].getTotalAdjustmentInEJBType().negate()) == 0) {
									// the OrderItem is a freebie
								%>
									<font class="redPrice"><%=infashiontext.getString("SHOPCART_FREE")%></font>
								<%
								} else {
								%>
									<font class="price"><%=orderItemDataBean[j].getFormattedTotalProduct()%></font>
									<%
									if(orderItemAdjustmentDBs != null && orderItemAdjustmentDBs.length > 0) 
									{
										for(int m = 0; m < orderItemAdjustmentDBs.length; m++) 
										{
										%>
											<br />
											<font class="strongPrice"><%=orderItemAdjustmentDBs[m].getFormattedAmount()%></font>
										<%
										}
									}
								}
								%>								
							</td>
						</tr>
						<%
					}
					OrderAdjustmentDataBean[] orderAdjustmentDBs = orderBean.getOrderLevelDiscountOrderAdjustmentDataBeans();
					if (orderAdjustmentDBs != null && orderAdjustmentDBs.length > 0) 
					{
						for(int i = 0; i < orderAdjustmentDBs.length; i++) 
						{
						%>
					<tr>
						<td align="right" colspan="4">
							<font class="strongRedText">* </font><font class="text"><%=orderAdjustmentDBs[i].getCalculationCodeDescriptionString()%></font>
						</td>
						<td align="right" valign="top" nowrap>
							<font class="strongPrice"><%=orderAdjustmentDBs[i].getFormattedAmount()%></font>
						</td>
					</tr>
						<%
						}
					}
					%>
					<tr>
						<td align="right" colspan="4"><font class="text">
							<b><%=infashiontext.getString("SUBTITAL1")%>&nbsp;</b></font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%=orderBean.getFormattedDiscountAdjustedProductTotal()%></font>
						</td>
					</tr>
					<%
					//Display coupon discount amount.
					%>
					<flow:ifEnabled feature="Coupons">
					<%
						if (bcIds.size() > 0) {
							//There are coupons applied to this order
					%>
					<tr>
						<td align="right" colspan="4">
									<font class="strongtext"><a href="AppliedCouponsDisplayView?storeId=<%=storeId%>&catalogId=<%=catalogId%>&langId=<%=languageId%>&orderId=<%=orderBean.getOrderId()%>&numberOfOrders=<%=numberOfOrders%>"><%=infashiontext.getString("COUPON_ADJUSTMENT")%></a>&nbsp;</font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%= orderBean.getFormattedCouponAdjustmentTotal() %></font>
						</td>
					</tr>
					<%
						}
					%>
					</flow:ifEnabled>
					<tr>
						<td align="right" colspan="4">
							<font class="price"><b><%=infashiontext.getString("TAX2")%>&nbsp;</b></font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%= orderBean.getFormattedTotalTax() %></font>
						</td>
					</tr>
					<tr>
						<td align="right" colspan="4">
							<font class="text"><b><%=infashiontext.getString("SHIPPING2")%></b></font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%= orderBean.getFormattedTotalShippingCharge() %></font>
						</td>
					</tr>
					<%
					//Display shipping tax.
					if (orderBean.getTotalShippingTaxInEJBType().doubleValue() > 0)
					{
						%>
						<tr>
							<td align="right" colspan="4">
								<font class="text"><b><%=infashiontext.getString("SHIPPING2")%> <%=infashiontext.getString("TAX2")%></b></font>
							</td>
							<td align="right" valign="top">
								<font class="price"><%= orderBean.getFormattedTotalShippingTax() %></font>
							</td>
						</tr>
						<%
					}
					%>
					<tr>
						<td align="right" colspan="4">
							<font class="text"><b><%=infashiontext.getString("TOTAL2")%>&nbsp;</b></font>
						</td>
						<td align="right" valign="top">
							<font class="price"><%=orderBean.getGrandTotal()%></font>
						</td> 
					</tr>
					</table>
					<flow:ifEnabled feature="Coupons">
					<%
					if( cmdcontext.getUser().getRegisterType().equalsIgnoreCase("R") ) {

						//The table for enterring coupon informations is displayed when there is only one order
						//or the Order is ordinary (inventory allocated)
						if (isOrdinaryOrder || (arrorderRn.length == 1)) {
							if (error != null) {
								Integer CouponCodeError = Integer.valueOf(error);
								if (CouponCodeError.equals(CouponConstant.COUPON_INVALID_ERROR)) {
								%>
									<font class="redText"><%=infashiontext.getString("COUPON_ERROR1")%></font></font>
								<%
								} else if (CouponCodeError.equals(CouponConstant.COUPON_NOT_APPLICABLE_ERROR)) {
								%>
									<font class="redText"><%=infashiontext.getString("COUPON_ERROR2")%></font></font>
								<%
								} else if (CouponCodeError.equals(CouponConstant.INVALID_COUPON_CODE_ERROR)) {
								%>
									<font class="redText"><%=infashiontext.getString("COUPON_ERROR1")%></font></font>
								<%
								} else {
								}//if
							
							}//if
					%>
							<table>
								<form method="post" name="UseCouponId" action="UseCouponId">
									<input type="hidden" name="orderId" value="<%=orderBean.getOrderId()%>">
									<input type="hidden" name="catalogId" value="<%=catalogId%>">
									<input type="hidden" name="storeId" value="<%=storeId%>">
									<input type="hidden" name="langId" value="<%=languageId%>">
									<input type="hidden" name="numberOfOrders" value="<%=numberOfOrders%>">
								<tr>
		              						<td colspan="2">
		              						<%
										//These two variables are used to store URL parameter
										//of all applied coupons
										String appliedCouponIds = null;
										String temp = null;
		   								if (bcIds.size() > 0) {
		   									//There are coupons applied to this order
											for (int j=0; j < bcIds.size(); j++) {
												//Create URL parameter of all applied coupons
		   										temp = "&appliedCouponIds=" + bcIds.elementAt(j);
									   			if ( j == 0) {
									   				 appliedCouponIds = temp;
									   			} else {
									   				appliedCouponIds = appliedCouponIds + temp;
									   			}//if
		   									}//for
		   							%>
											<font class="text"><a href="FindCoupons?orderId=<%=orderBean.getOrderId()%>&langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&numberOfOrders=<%=numberOfOrders%><%=appliedCouponIds%>"><%=infashiontext.getString("REDEEM_MULTIPLE_COUPONS")%></a></font>
									<%	} else { %>
											<font class="text"><a href="FindCoupons?orderId=<%=orderBean.getOrderId()%>&langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&numberOfOrders=<%=numberOfOrders%>"><%=infashiontext.getString("REDEEM_MULTIPLE_COUPONS")%></a></font>
									<% 	}//if	%>									
		              						</td>
		              					</tr>
		              					<!-- 
		              							This is a textbox where a shopper may enter the coupon code. This is commented out since a shopper is 
		              							likely to apply coupons using the Redeem coupon link instead of rememberring the coupon code. This textbox is
		              							functional in FashionFlow store. Developers can uncomment out this code if using coupon code scenario is preferred.
		              							
				              					<tr>
				              						<td><font class="strongtext"><%=infashiontext.getString("ENTER_COUPON_CODE")%> </font><input type="text" name="couponIds" size="10"></td>
				              						<td valign="center" align="middle" class="buttonStyle">
															<a href="#" onclick="Handle_Submit(document.UseCouponId); return false;"><font class="buttonStyle"><%=infashiontext.getString("SUBMIT")%></font>
				              						</td>
				              					</tr>
		              					-->
		              					</form>
		              				</table>
		         <% }//if
		         }//if
		         %>
					</flow:ifEnabled>
				</td>
			</tr>
			<% 
		} 
		%>
		<tr>
			<td align="left" colspan="4" class="textOverBackgroundCharts">
				<font class="textOverBackgroundCharts"><%=infashiontext.getString("UPDATE_SHIPPINGADDRESS")%></font>
			</td>
		</tr>
							<%
							// Get and print out the shipping address of the item
							OrderDataBean orderBean01 = new OrderDataBean();
							orderBean01.setOrderId(arrorderRn[0]);
							DataBeanManager.activate(orderBean01, request);
							String shipaddress_id = orderBean01.getAddressId();
							//String shipaddress_id = orderItemDataBean[j].getAddressId();
							String strFirstName = "";
							String strLastName = "";
							String strAddrLn1 = "";
							String strAddrLn2 = "";
							String strCity = "";
							String strState = "";
							String strZipCode ="";
							String strCountry = "";
							String strDayPhone = "";

							if (shipaddress_id !=null && shipaddress_id.trim().length() != 0) 
							{
								AddressDataBean bnAddressDisplay = new AddressDataBean();
								bnAddressDisplay.setAddressId(shipaddress_id);
								DataBeanManager.activate(bnAddressDisplay, request);
	
								strLastName = bnAddressDisplay.getLastName();
								strFirstName = bnAddressDisplay.getFirstName();
								strAddrLn1 = bnAddressDisplay.getAddress1();
								strAddrLn2 = bnAddressDisplay.getAddress2();
								strCity = bnAddressDisplay.getCity();
								strState = bnAddressDisplay.getState();
								strZipCode = bnAddressDisplay.getZipCode();
								strCountry = bnAddressDisplay.getCountry();
								strDayPhone = bnAddressDisplay.getPhone1();
								if (strFirstName == null) strFirstName = "";
								if (strAddrLn2 == null) strAddrLn2 = "";
								if (strState == null) strState = "";
								if (strDayPhone == null) strDayPhone = "";
							}	
							%>
							<tr>
							<td align="left" valign="middle">
								<font class="text">
								<% 
								if (locale.toString().equals("ja_JP")||locale.toString().equals("ko_KR")||locale.toString().equals("zh_CN")||locale.toString().equals("zh_TW")) 
								{ 
									%>
									<%=strLastName%><%=strFirstName%><br />
									<%=strCountry%>&nbsp;<%=strZipCode%><br />
									<%=strState%>&nbsp;<%=strCity%><br />
									<%=strAddrLn1%><br />
									<%=strAddrLn2%><br />
									<% 
								} 
								else if (locale.toString().equals("fr_FR")||locale.toString().equals("de_DE"))
								{ 
									%>
									<%=strFirstName%>&nbsp;<%=strLastName%><br />
									<%=strAddrLn1%><br />
									<%
									if (!strAddrLn2.trim().equals(""))
									{
										%>
										<%=strAddrLn2%><br />
										<%
									}
									%>
									<%=strZipCode%>&nbsp;<%=strCity%><br />
									<%=strState%><br />
									<%=strCountry%><br />
									<% 
								} 
								else 
								{ 
									%>
									<%=strFirstName%>&nbsp;<%=strLastName%><br />
									<%=strAddrLn1%><br />
									<%
									if (!strAddrLn2.trim().equals(""))
									{
										%>
										<%=strAddrLn2%><br />
										<%
									}
									%>
									<%=strCity%>&nbsp;<%=strState%>&nbsp;<%=strZipCode%><br />
									<%=strCountry%><br />
									<% 
								} 
								%>
								</font>
							</td>
							</tr>				
</flow:ifDisabled> 
		<% // display the billing address %>
		<tr>
			<td align="left" colspan="4" class="textOverBackgroundCharts">
				<font class="textOverBackgroundCharts"><%=infashiontext.getString("BILLINGADDRESS")%></font>
			</td>
		</tr>
		<tr>
			<%
			orderBean = new OrderDataBean();
			orderBean.setOrderId(arrorderRn[0]);
			DataBeanManager.activate(orderBean, request);
			String billaddress_id = orderBean.getAddressId();
			String strFirstName = "";
			String strLastName = "";
			String strAddrLn1 = "";
			String strAddrLn2 = "";
			String strCity = "";
			String strState = "";
			String strZipCode ="";
			String strCountry = "";
			String strDayPhone = "";
	
			if (billaddress_id !=null && billaddress_id.trim().length() != 0) 
			{
				%>
				<jsp:useBean id="billingAddressDisplay" class="com.ibm.commerce.user.beans.AddressDataBean" scope="page">
				<%
				billingAddressDisplay.setAddressId(billaddress_id);
				com.ibm.commerce.beans.DataBeanManager.activate(billingAddressDisplay, request);
				%>
				</jsp:useBean>
		
				<%
				strLastName = billingAddressDisplay.getLastName();
				strFirstName = billingAddressDisplay.getFirstName();
				strAddrLn1 = billingAddressDisplay.getAddress1();
				strAddrLn2 = billingAddressDisplay.getAddress2();
				strCity = billingAddressDisplay.getCity();
				strState = billingAddressDisplay.getState();
				strZipCode = billingAddressDisplay.getZipCode();
				strCountry = billingAddressDisplay.getCountry();
				strDayPhone = billingAddressDisplay.getPhone1();
			}	
			%>

			<td align="left" colspan="4" valign="top" class="topspace">
				<font class="text">
				<% 
				if (locale.toString().equals("ja_JP")||locale.toString().equals("ko_KR")||locale.toString().equals("zh_CN")||locale.toString().equals("zh_TW")) 
				{ 
					%>
					<%=strLastName%><%=strFirstName%><br />
					<%=strCountry%>&nbsp;<%=strZipCode%><br />
					<%=strState%>&nbsp;<%=strCity%><br />
					<%=strAddrLn1%><br />
					<%=strAddrLn2%><p>
					<% 
				} 
				else if (locale.toString().equals("fr_FR")||locale.toString().equals("de_DE"))
				{ 
					%>
					<%=strFirstName%>&nbsp;<%=strLastName%><br />
					<%=strAddrLn1%><br />
					<%
					if (!strAddrLn2.trim().equals(""))
					{
						%>
						<%=strAddrLn2%><br />
						<%
					}
					%>
					<%=strZipCode%>&nbsp;<%=strCity%><br />
					<%=strState%><br />
					<%=strCountry%><p>
					<% 
				} 
				else 
				{ 
					%>
					<%=strFirstName%>&nbsp;<%=strLastName%><br />
					<%=strAddrLn1%><br />
					<%
					if (!strAddrLn2.trim().equals(""))
					{
						%>
						<%=strAddrLn2%><br />
						<%
					}
					%>
					<%=strCity%>&nbsp;<%=strState%>&nbsp;<%=strZipCode%><br />
					<%=strCountry%><p>
					<% 
				} 
				%>
				</font>
			</td>
		</tr>
		<tr>
			<td align="left" colspan="4"><br /></td>
		</tr>
		<tr>
			<td align="left" colspan="4" class="textOverBackgroundCharts">
				<font class="textOverBackgroundCharts"><%=infashiontext.getString("PAY_INFO")%></font>
			</td>
		</tr>
		<tr>
			<td align="left" colspan="4" valign="top" class="topspace">
			
				<table cellpadding="0" cellspacing="0" border="0">				
				<jsp:useBean id="paymentTCs" class="com.ibm.commerce.payment.beans.UsablePaymentTCListDataBean" scope="page" >
				</jsp:useBean>
				<%
				paymentTCs.setOrderId( Long.valueOf(orderRn) );  
				com.ibm.commerce.beans.DataBeanManager.activate(paymentTCs, request);
				PaymentTCInfo[] info = paymentTCs.getPaymentTCInfo();
				/* Credit Card Payment method is by default set to Offline Card. If you use any other payment method, 
 				 * The policy name used here needs to be exactly the same as the policyname in the policy table of the database
 				 * If this payment method uses an attrPage other than StandardCreditCard, you will need to provide you own attrPage 
 				 * in the directory ShoppingArea/CheckoutSection/StandardCheckoutSubsection/.  JSP include is used below to include the attrPage.
 				 */
				Vector vCreditCardInfo = new Vector();
				Vector vCustomOfflineInfo = new Vector();
				Vector vTestInfo = new Vector();
				String creditCardPolicyId ="";
				
				for (int i = 0; i < info.length; ++i) 
				{
					if (info[i].getPolicyName().trim().equalsIgnoreCase("OfflineCard") )
					{
						vCreditCardInfo.addElement(info[i]);
						creditCardPolicyId = ((PaymentTCInfo) vCreditCardInfo.elementAt(0)).getPolicyId();
					}
					else if (info[i].getCassetteName().trim().equalsIgnoreCase("CustomOffline") )
					{
						vCustomOfflineInfo.addElement(info[i]);
					}					
					// remove test payment method support
					/* 
					else if (info[i].getPolicyName().trim().equalsIgnoreCase("testpaymentmethod"))							
					{
						vTestInfo.addElement(info[i]);
					}
					*/
				}
				boolean hasMultiplePaymentMethods = false;
				// check if there are multiple payment methods
				int numberOfMethods = 0;
				if ( (vTestInfo.size()>0) || (vCreditCardInfo.size()>0) ){
					numberOfMethods += 1;
				}

				numberOfMethods += vCustomOfflineInfo.size();
				if (numberOfMethods >1) {
					 hasMultiplePaymentMethods = true;
				} 
				
				if (numberOfMethods == 0) {//display error message, do no show Order Now button
				%>
				<tr>
				  <td><%=infashiontext.getString("ERROR_NOPAYMENT")%></td>
				</tr>
				<% } else {%>
				<tr>
				  <td align="left" valign="left">
				  <form Name="CardInfo" METHOD="post" action="MultiOrderProcess">
				<% 
				for (int i=0; i < arrorderRn.length; i++) 
				{ 
				%>
				  <input type=hidden name="orderId" value="<%= arrorderRn[i]%>">
				<% 
				} 
				%>
				  <input type=hidden name="storeId" value="<%= storeId %>">
				  <input type=hidden name="langId" value="<%= languageId %>">
				  <input type=hidden name="catalogId" value="<%= catalogId %>">
				  <input type=hidden name="notifyShopper" value="1">
				  <input type=hidden name="notifyOrderSubmitted" value="1">
				  <input type=hidden name="creditCardPolicyNumber" value="<%=creditCardPolicyId%>">
				    <table cellpadding="0" cellspacing="5" border="0" width="350">									
				    <%
				    String checked = "checked";
				    if (vCustomOfflineInfo.size() > 0) {
					// show this section if Custom Offline is setup for the store
					for (int j=0; j < vCustomOfflineInfo.size(); j++)
					{
					  PaymentTCInfo paymentTCInfo = (PaymentTCInfo) vCustomOfflineInfo.elementAt(j); 
					  if (hasMultiplePaymentMethods) {
					%>
				      <tr>
					<td align="left" valign="left"><input type="radio" name="<%= ECContractCmdConstants.EC_POLICY_ID %>" value="<%=paymentTCInfo.getPolicyId()%>" <%=checked%>></td>
					<td>
					  <% } else { %>
				      <tr>
					<td align="left" valign="left" colspan="2"><input type="radio" name="<%= ECContractCmdConstants.EC_POLICY_ID %>" value="<%=paymentTCInfo.getPolicyId()%>" <%=checked%>>
					  <% } //end if
					  checked = "";
					  if (paymentTCInfo.getOfflineMethod().trim().equalsIgnoreCase("COD")) { 
					  %>
						<font class="strongtext"><%=infashionDynamictext.getString("COD_Instruction")%></font></td>
					  <% } else if (paymentTCInfo.getOfflineMethod().trim().equalsIgnoreCase("BillMe")) { %>
						<font class="strongtext"><%=infashionDynamictext.getString("BillMe_Instruction")%></font></td>
					  <% } else { %>
						<font class="strongtext"><%=paymentTCInfo.getShortDescription()%></font></td>							
					  <% } %>
				      </tr>
				      <tr>
					<td colspan="2" align="left" valign="left"><img src="<%=storeImgDir%>images/trans_pixel.gif" width="1" height="5" alt="" border="0"></td>
				      </tr>
					<%
					}//end for
				      } //end if
					
				      if ( (vTestInfo.size()>0) || (vCreditCardInfo.size()>0) ) {
					// show this section if Credit Card or Test Payment Method is setup for the store
					if (hasMultiplePaymentMethods) {
					%>
					<tr>
					<%
					if ( (vCreditCardInfo.size()>0) ) {
					%>
					  <td align="left" valign="left"><input type="radio" name="<%= ECContractCmdConstants.EC_POLICY_ID %>" value="<%=((PaymentTCInfo) vCreditCardInfo.elementAt(0)).getPolicyId()%>"></td><td><font class="strongtext"><%=infashiontext.getString("CREDIT_CARD")%></font></td>
					<%
					} else {
					%>
					  <td align="left" valign="left"><input type="radio" name="<%= ECContractCmdConstants.EC_POLICY_ID %>" value="<%=((PaymentTCInfo) vTestInfo.elementAt(0)).getPolicyId()%>"></td><td><font class="strongtext"><%=infashiontext.getString("CREDIT_CARD")%></font></td>					
					<%
					}
					%>
					</tr>
					<tr>
					  <td align="left" valign="left">&nbsp;</td>
					  <td align="left" valign="left">
					<%
					} else {
					%>
					<tr>
					<%
					if ( (vCreditCardInfo.size()>0) ) {
					%>
					  <td colspan="2" align="left" valign="left"><input type="hidden" name="<%= ECContractCmdConstants.EC_POLICY_ID %>" value="<%=((PaymentTCInfo) vCreditCardInfo.elementAt(0)).getPolicyId()%>"><font class="strongtext"><%=infashiontext.getString("CREDIT_CARD")%></font></td>
					<%
					} else {
					%>
					  <td colspan="2" align="left" valign="left"><input type="hidden" name="<%= ECContractCmdConstants.EC_POLICY_ID %>" value="<%=((PaymentTCInfo) vTestInfo.elementAt(0)).getPolicyId()%>"><font class="strongtext"><%=infashiontext.getString("CREDIT_CARD")%></font></td>
					<%
					}
					%>
					</tr>
					<tr>
					  <td align="left" valign="left" colspan="2">			
					<%
					}
					if ( (vCreditCardInfo.size()>0) ) {
						incfile = jspStoreDir + "ShoppingArea/CheckoutSection/StandardCheckoutSubsection/" + ((PaymentTCInfo) vCreditCardInfo.elementAt(0)).getAttrPageName() + ".jsp";
					} else {
						incfile = jspStoreDir + "ShoppingArea/CheckoutSection/StandardCheckoutSubsection/" + ((PaymentTCInfo) vTestInfo.elementAt(0)).getAttrPageName() + ".jsp";
					}
					request.setAttribute("vCreditCardInfo", vCreditCardInfo);
					request.setAttribute("vTestInfo", vTestInfo);
					%>
					<jsp:include page="<%=incfile%>" flush="true"/>
					  </td>
					</tr>
				      <%
				      } //end if
				      %>
				    </table>
				    <p></p>
				    <!-- tutorial start-->
				    <jsp:include page="OrderSubmitFormInclude.jsp" flush="true" />
				    <!-- tutorial done -->
				  </td>
				  <td  width="5"><font class="text">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font></td>
				  <td align="right" valign="top">
				    <table cellpadding="3" cellspacing="0" border="1" width="240">
				      <tr>
					<td align="left" valign="top" class="privacyStatement">
						<font class="text"><%=MessageFormat.format(ECMessageHelper.doubleTheApostrophy(infashionDynamictext.getString("OrderSubmit_Text12")), arguments)%></font><br />
					</td>
				      </tr>
				    </table>
				    </form>
				  </td>
				</tr>
				<%}%>
				</table>																	
				
			</td>
		</tr>
		<tr>
			<td align="left" colspan="4" valign="middle" class="categoryspace">
				<table cellpadding="4" cellspacing="0" border="0">
				<tr>
					<td align="center" valign="middle" class="buttonStyle">
						<% 
						if (arrorderRn.length==1)
						{  // For Previous Button, if there is more than 1 order, merge the orders back together %>
							<a href="<flow:url exitPort='ActualOrderDisplayPendingPage.i1.xPrevious'/>?orderId=<%=orderRn%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&langId=<%=languageId%>"><font class="buttonStyle">&lt; <%=infashiontext.getString("PREVIOUS")%></font></a>
							<% 
						}
						else
						{
							%>
							<a href="OrderItemMove?deleteIfEmpty=*&fromOrderId=*&toOrderId=.&inAllocate=*n&inBackorder=*n&inRemerge=*&inMerge=*n&inReverse=*&outAllocate=*n&outBackorder=*n&outRemerge=*&outMerge=*n&outReverse=*&URL=<flow:url exitPort='ActualOrderDisplayPendingPage.i1.xPrevious'/>?storeId=<%=storeId%>&catalogId=<%=catalogId%>&langId=<%=languageId%>"><font class="strongtext">&lt; <%=infashiontext.getString("PREVIOUS")%></font></a>
							<%
						}
						%>
					</td>
					<% if (numberOfMethods>0) {%>
					<td width="2">
						<font class="strongtext">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font>
					</td>
					<td align="center" valign="middle" class="buttonStyle">
						<a href="#" onClick="Handle_Submit(document.CardInfo); return false;"><font class="buttonStyle"><%=infashiontext.getString("ORDER_NOW")%></font></a>
					</td>
					<%}%>
				</tr>
				</table>
				<br /><br />
			</td>
		</tr>
		
		</table>
	</td>
</tr>
<tr>
	<td colspan="2" class="footer" align="right">
	
		<%
		incfile = jspStoreDir + StyleDir + "FooterDisplay.jsp";
		%>
		<jsp:include page="<%=incfile%>" flush="true"/>
	</td>
</tr>
</table>


</body>
</html>
