<%@taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt"%>

<%@ include file="../../../include/EnvironmentSetup.jsp" %>

<%-- load a resource bundle with housing specific text --%>
<fmt:setLocale value="${CommandConext.locale}" />
<fmt:setBundle basename="${sdb.directory}/Housing" var="housing" />

<table>
	<tr>
		<td align="left" valign="top" colspan="2" class="categoryspace">
			<font class="pageHeading"><fmt:message key="SURVEY_STRING" bundle="${housing}" /></font> 
			<hr width="580" align="left" noshade="noshade" />
		</td>
	</tr>	

	<tr>
		<td align="right" valign="middle">
			<font class="strongtext"><fmt:message key="HOUSINGTYPE_STRING" bundle="${housing}" /></font>
		</td>
		
		<td class="strongtext">
			<select name="housingType">
				<c:set var="housingLen" scope="page">
					<fmt:message key="HOUSINGTYPE_LEN" bundle="${housing}" />
				</c:set>
				
				<c:forEach begin="0" end="${housingLen - 1}" var="status">
					<c:choose>
						<c:when test="${status == 0}">
							<option selected="selected" value="0"><fmt:message key="HOUSINGTYPE${status}" bundle="${housing}" /></option>
						</c:when>
						
						<c:otherwise>
							<option value="<c:out value="${status}" />"><fmt:message key="HOUSINGTYPE${status}" bundle="${housing}" /></option>
						</c:otherwise>
					</c:choose>
				</c:forEach>
			</select>
		</td>
	</tr>

	<tr>
		<td align="right" valign="middle">
			<font class="strongtext"><fmt:message key="LOCATION_STRING" bundle="${housing}" /></font>
		</td> 
		
		<td class="strongtext">
			<select name="location">
				<c:set var="locationLen" scope="page">
					<fmt:message key="LOCATION_LEN" bundle="${housing}" />
				</c:set>
				
				<c:forEach begin="0" end="${locationLen - 1}" var="status">
					<c:choose>
						<c:when test="${status == 0}">
							<option selected="selected" value="0"><fmt:message key="LOCATION${status}" bundle="${housing}" /></option>
						</c:when>
						
						<c:otherwise>
							<option value="<c:out value="${status}" />"><fmt:message key="LOCATION${status}" bundle="${housing}" /></option>
						</c:otherwise>
					</c:choose>
				</c:forEach>
			</select>
		</td>
	</tr>
</table>